# eric4.Plugins.VcsPlugins.vcsSubversion.SvnCopyDialog

Module implementing a dialog to enter the data for a copy operation.

### Global Attributes

None

### Classes

SvnCopyDialog | Class implementing a dialog to enter the data for a copy or rename operation.

### Functions

None

## SvnCopyDialog

Class implementing a dialog to enter the data for a copy or rename operation.

### Derived from

QDialog, Ui_SvnCopyDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnCopyDialog | Constructor
getData | Public method to retrieve the copy data.
on_dirButton_clicked | Private slot to handle the button press for selecting the target via a selection dialog.
on_targetEdit_textChanged | Private slot to handle changes of the target.

### Static Methods

None

#### SvnCopyDialog (Constructor)

SvnCopyDialog(source, parent = None, move = False, force = False)

Constructor

source
  name of the source file/directory (QString)
parent
  parent widget (QWidget)
move
  flag indicating a move operation
force
  flag indicating a forced operation (boolean)

#### SvnCopyDialog.getData

getData()

Public method to retrieve the copy data.

Returns:
  the target name (QString) and a flag indicating the operation should be enforced (boolean)

#### SvnCopyDialog.on_dirButton_clicked

on_dirButton_clicked()

Private slot to handle the button press for selecting the target via a selection dialog.

#### SvnCopyDialog.on_targetEdit_textChanged

on_targetEdit_textChanged(txt)

Private slot to handle changes of the target.

txt
  contents of the target edit (QString)

Up